path: /build/build/sdl2-ttf-media-libs-2.22.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-harfbuzz" emerge media-libs/sdl2-ttf -pv -t && \
    USE="-harfbuzz" emerge -j ${JOBS} --nodeps media-libs/sdl2-ttf
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/sdl2-ttf && luet-portage --dir /pkgdir/sdl2-ttf
    media-libs/sdl2-ttf && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:df728534d3438e321778d080ab9e2e4d96f5a48631fc2fef3b00a0041ed4dc43
  package:
    name: sdl2-ttf
    version: 2.22.0
    category: media-libs
    use_flags:
    - -harfbuzz
    requires:
    - name: macaroni-funtoo-race18
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Support for TrueType fonts in SDL applications.
    uri:
    - https://www.libsdl.org/projects/SDL_ttf/
    license: ZLIB
    buildtimestamp: 2024-02-13 02:39:21.225879117 +0000 UTC m=+192.338717182
    labels:
      BDEPEND: dev-util/ninja dev-util/cmake
      DEPEND: '>=media-libs/libsdl2-2.0.12 >=media-libs/freetype-2.10.4[harfbuzz?]
        virtual/opengl harfbuzz? ( >=media-libs/harfbuzz-2.8.0 )'
      IUSE: +harfbuzz static-libs X
      RDEPEND: '>=media-libs/libsdl2-2.0.12 >=media-libs/freetype-2.10.4[harfbuzz?]
        virtual/opengl harfbuzz? ( >=media-libs/harfbuzz-2.8.0 )'
      emerge.packages: media-libs/sdl2-ttf
      kit: media-kit
      original.package.name: media-libs/sdl2-ttf
      original.package.slot: "0"
      original.package.version: 2.22.0
    treedir: /build/packages
  package_dir: /pkgdir/sdl2-ttf
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: a78b749f1104c419e97b9dd48d56941cc0d74f9b6ee0da148ac1b29b3d066d54
compressiontype: zstd
files:
- usr/include/SDL2/SDL_ttf.h
- usr/lib64/cmake/SDL2_ttf/SDL2_ttf-shared-targets-gentoo.cmake
- usr/lib64/cmake/SDL2_ttf/SDL2_ttf-shared-targets.cmake
- usr/lib64/cmake/SDL2_ttf/SDL2_ttfConfig.cmake
- usr/lib64/cmake/SDL2_ttf/SDL2_ttfConfigVersion.cmake
- usr/lib64/libSDL2_ttf-2.0.so
- usr/lib64/libSDL2_ttf-2.0.so.0
- usr/lib64/libSDL2_ttf-2.0.so.0.2200.0
- usr/lib64/libSDL2_ttf.so
- usr/lib64/pkgconfig/SDL2_ttf.pc
- usr/share/doc/sdl2-ttf-2.22.0/CHANGES.txt.bz2
- usr/share/doc/sdl2-ttf-2.22.0/README-versions.md.bz2
- usr/share/doc/sdl2-ttf-2.22.0/README.txt.bz2
- usr/share/licenses/SDL2_ttf/LICENSE.txt
- var/db/pkg/media-libs/sdl2-ttf-2.22.0/BDEPEND
- var/db/pkg/media-libs/sdl2-ttf-2.22.0/BUILD_TIME
- var/db/pkg/media-libs/sdl2-ttf-2.22.0/CATEGORY
- var/db/pkg/media-libs/sdl2-ttf-2.22.0/CBUILD
- var/db/pkg/media-libs/sdl2-ttf-2.22.0/CFLAGS
- var/db/pkg/media-libs/sdl2-ttf-2.22.0/CHOST
- var/db/pkg/media-libs/sdl2-ttf-2.22.0/CONTENTS
- var/db/pkg/media-libs/sdl2-ttf-2.22.0/COUNTER
- var/db/pkg/media-libs/sdl2-ttf-2.22.0/CXXFLAGS
- var/db/pkg/media-libs/sdl2-ttf-2.22.0/DEFINED_PHASES
- var/db/pkg/media-libs/sdl2-ttf-2.22.0/DEPEND
- var/db/pkg/media-libs/sdl2-ttf-2.22.0/DESCRIPTION
- var/db/pkg/media-libs/sdl2-ttf-2.22.0/EAPI
- var/db/pkg/media-libs/sdl2-ttf-2.22.0/FEATURES
- var/db/pkg/media-libs/sdl2-ttf-2.22.0/HOMEPAGE
- var/db/pkg/media-libs/sdl2-ttf-2.22.0/INHERITED
- var/db/pkg/media-libs/sdl2-ttf-2.22.0/IUSE
- var/db/pkg/media-libs/sdl2-ttf-2.22.0/IUSE_EFFECTIVE
- var/db/pkg/media-libs/sdl2-ttf-2.22.0/KEYWORDS
- var/db/pkg/media-libs/sdl2-ttf-2.22.0/LDFLAGS
- var/db/pkg/media-libs/sdl2-ttf-2.22.0/LICENSE
- var/db/pkg/media-libs/sdl2-ttf-2.22.0/NEEDED
- var/db/pkg/media-libs/sdl2-ttf-2.22.0/PF
- var/db/pkg/media-libs/sdl2-ttf-2.22.0/PROVIDES
- var/db/pkg/media-libs/sdl2-ttf-2.22.0/RDEPEND
- var/db/pkg/media-libs/sdl2-ttf-2.22.0/REQUIRES
- var/db/pkg/media-libs/sdl2-ttf-2.22.0/SIZE
- var/db/pkg/media-libs/sdl2-ttf-2.22.0/SLOT
- var/db/pkg/media-libs/sdl2-ttf-2.22.0/USE
- var/db/pkg/media-libs/sdl2-ttf-2.22.0/environment.bz2
- var/db/pkg/media-libs/sdl2-ttf-2.22.0/repository
- var/db/pkg/media-libs/sdl2-ttf-2.22.0/sdl2-ttf-2.22.0.ebuild
package_cacheimage: ""
runtime:
  name: sdl2-ttf
  version: 2.22.0
  category: media-libs
  use_flags:
  - -harfbuzz
  requires:
  - name: freetype
    version: '>=0'
    category: media-libs-2
  - name: libsdl2
    version: '>=0'
    category: media-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Support for TrueType fonts in SDL applications.
  uri:
  - https://www.libsdl.org/projects/SDL_ttf/
  license: ZLIB
  labels:
    BDEPEND: dev-util/ninja dev-util/cmake
    DEPEND: '>=media-libs/libsdl2-2.0.12 >=media-libs/freetype-2.10.4[harfbuzz?] virtual/opengl
      harfbuzz? ( >=media-libs/harfbuzz-2.8.0 )'
    IUSE: +harfbuzz static-libs X
    RDEPEND: '>=media-libs/libsdl2-2.0.12 >=media-libs/freetype-2.10.4[harfbuzz?]
      virtual/opengl harfbuzz? ( >=media-libs/harfbuzz-2.8.0 )'
    emerge.packages: media-libs/sdl2-ttf
    kit: media-kit
    original.package.name: media-libs/sdl2-ttf
    original.package.slot: "0"
    original.package.version: 2.22.0
